<?php
/**
 * Plugin Name: Extension for Vk All in One Expansion Unit by oc-soft
 * Plugin URI: https://oc-soft.net
 * Description: Extends vk-all-in-one-expansion unit
 * Version: 1.0.0
 * Author: Toshiyuki Ogawa
 * Text Domain: oc-vaio-extension 
 * License: GPLv3
 * Requires at least: 2.7
 * Requires PHP: 5.4
 */

require_once implode('/', [__DIR__, 'oc-vaio-setting.php']);
require_once implode('/', [__DIR__, 'oc-vaio-filters.php']);

/**
 * get plugin information.
 * This method is not called from any functions.
 * It is exists for localized plugin description data by 
 * _get_plugin_data_markup_translate.
 */
function oc_vaio_plugin_info() {
    return [
        'Name' => __(
            'Extension for Vk All in One Expansion Unit by oc-soft',
            'oc-vaio-extension'
        ),
        'PluginURI' => __('https://oc-soft.net', 'oc-vaio-extension'),
        'Description' => __('Extends vk-all-in-one-expansion unit',
            'oc-vaio-extention'),
        'Author' => __('Toshiyuki Ogawa', 'oc-vaio-extension'),
        'AuthorURI' => __('oc-soft.net', 'oc-vaio-extension'),
        'Version' => __('1.0.0', 'oc-vaio-extension')
    ];
}

/**
 * load text domain
 */
function oc_vaio_load_textdomain() {
    load_plugin_textdomain('oc-vaio-extension', false,
        dirname(plugin_basename(__FILE__)));
}

add_action('init', 'oc_vaio_load_textdomain');
add_action('admin_init', [OcVaioSetting::$instance, 'init_ui']);
add_action('admin_menu', [OcVaioSetting::$instance, 'init_menu']);
OcVaioFilters::$instance->register_filters();

// vi: se ts=4 sw=4 et:
