<?php
require_once implode('/', [__DIR__, 'oc-vaio-options.php']);

/**
 * manage setting
 */
class OcVaioSetting {

    /**
     * setting instance
     */
    static $instance = null;


    /**
     * setting group
     */
    static $setting_group = 'oc_vaio_setting';

    /**
     * section id
     */
    static $section_id = 'oc_vaio_setting_section';

    /**
     * page id
     */
    static $page_id = 'oc_vaio_basic_setting';


    /**
     * render user interface
     */
    function render_ui() {
?>
<form method="post" action="options.php">
<?php
        settings_fields(self::$setting_group); 
        do_settings_sections(self::$page_id);
        submit_button();
?>
</form>
<?php
    }
    /**
     * render section page
     */
    function render_section() {
    }


    /**
     * render user interface to control related posts visibility.
     */
    function render_control_related_posts() {
        $name = OcVaioOptions::$hide_related_posts_in_post;
        $hide = get_option($name);

        
        $checked = '';
        if ($hide == 'on') {
            $checked = 'checked';
        }
        echo <<<EOT
<input type="checkbox" $checked
    name="$name"
    id="control-related-posts-3179310554">
EOT;
    }

    /**
     * initialize user interface
     */
    function init_ui() {

        register_setting(self::$setting_group, 
            OcVaioOptions::$hide_related_posts_in_post);

        add_settings_section(
            self::$section_id,
            __('Setting for Vk-All-in-One-Expansion-Unit',
                'oc-vaio-extension'),
            [$this, 'render_section'],
            self::$page_id);
        add_settings_field(
            'oc-vaio-related-posts-control',
            __('Hide related posts in post', 'oc-vaio-extension'),
            [$this, 'render_control_related_posts'],
            self::$page_id,
            self::$section_id,
            [
                'label_for' =>
                    'control-related-posts-3179310554'
            ]);
    }


    /**
     * init menu
     */
    function init_menu() {

        add_options_page(
            __('OC vaio extension', 'oc-vaio-extension'),
            __('OC vaio extension', 'oc-vaio-extension'),
            'administrator',
            self::$page_id,
            [$this, 'render_ui']);
    }

}


OcVaioSetting::$instance = new OcVaioSetting;

// vi: se ts=4 sw=4 et:
